Debian Bug report logs - #611570
fails on kfreebsd-amd64 CD1

version graph

Package: apt-setup; Maintainer for apt-setup is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 30 Jan 2011 19:24:01 UTC

Severity: normal

Merged with 611146

Found in version 1:0.53

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611570; Package apt-setup. (Sun, 30 Jan 2011 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 30 Jan 2011 19:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails on kfreebsd-amd64 CD1
Date: Sun, 30 Jan 2011 20:21:21 +0100
Package: apt-setup
Version: 1:0.53
Severity: normal
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

With debian-squeeze-di-rc2-kfreebsd-amd64-CD-1.iso:

Jan 30 18:59:51 main-menu[106]: INFO: Menu item 'apt-setup-udeb' selected
Jan 30 18:59:51 /usr/lib/apt-setup/generators/40cdrom: warning: /target/etc/mtab won't be updated since it is a symlink.
Jan 30 18:59:51 apt-setup: Using CD-ROM mount point /media/cdrom/
Jan 30 18:59:51 apt-setup: Unmounting CD-ROM
Jan 30 18:59:51 apt-setup: Waiting for disc...
Jan 30 18:59:51 apt-setup: Please insert a Disc in the drive and press enter
Jan 30 18:59:51 apt-setup: Mounting CD-ROM...
Jan 30 18:59:51 apt-setup: E
Jan 30 18:59:51 apt-setup: : Failed to mount the cdrom.
Jan 30 18:59:51 apt-setup: mount: mounting /dev/cd0 on /cdrom failed: Device or resource busy

After this error, /cdrom *is* mounted. Installation proceeds without CD
support.

Note: this seems related to #611569, however I'm reporting it as an
apt-setup bug because apt-setup seems to be taking care of the mount/umount
part already, in which case #611569 isn't supposed to have any effect.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Merged 611146 611570. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 19:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611570; Package apt-setup. (Sun, 30 Jan 2011 20:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 30 Jan 2011 20:03:11 GMT) Full text and rfc822 format available.

Message #12 received at 611570@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Robert Millan <rmh@debian.org>, 611570@bugs.debian.org
Subject: Re: Bug#611570: fails on kfreebsd-amd64 CD1
Date: Sun, 30 Jan 2011 16:01:27 -0400
[Message part 1 (text/plain, inline)]
Robert Millan wrote:
> Note: this seems related to #611569, however I'm reporting it as an
> apt-setup bug because apt-setup seems to be taking care of the mount/umount
> part already, in which case #611569 isn't supposed to have any effect.

No, apt-setup still relies on apt-cdrom mounting the CD.

The CD will already be mounted, as it is manually mounted for
debootstrap. apt-setup unmounts it, runs apt-cdrom, and re-mounts it.
And there are code paths where apt-cdrom cannot mount the CD (for example,
hd-media installs), and there apt-setup prevents it doing any mounting and
leaves the CD pre-mounted. But none of these should have any bearing on
your case, #611569 seems at fault.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611570; Package apt-setup. (Mon, 31 Jan 2011 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 31 Jan 2011 09:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 611570@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 611570@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#611570: fails on kfreebsd-amd64 CD1
Date: Mon, 31 Jan 2011 06:35:52 +0100
[Message part 1 (text/plain, inline)]
Quoting Joey Hess (joeyh@debian.org):
> Robert Millan wrote:
> > Note: this seems related to #611569, however I'm reporting it as an
> > apt-setup bug because apt-setup seems to be taking care of the mount/umount
> > part already, in which case #611569 isn't supposed to have any effect.
> 
> No, apt-setup still relies on apt-cdrom mounting the CD.
> 
> The CD will already be mounted, as it is manually mounted for
> debootstrap. apt-setup unmounts it, runs apt-cdrom, and re-mounts it.
> And there are code paths where apt-cdrom cannot mount the CD (for example,
> hd-media installs), and there apt-setup prevents it doing any mounting and
> leaves the CD pre-mounted. But none of these should have any bearing on
> your case, #611569 seems at fault.


So, this #611570 should then be closed, right?


[signature.asc (application/pgp-signature, inline)]

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 31 Jan 2011 21:36:06 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Mon, 31 Jan 2011 21:36:06 GMT) Full text and rfc822 format available.

Message #22 received at 611570-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 611570-done@bugs.debian.org
Subject: Re: Bug#611570: fails on kfreebsd-amd64 CD1
Date: Mon, 31 Jan 2011 22:33:19 +0100
2011/1/31 Christian PERRIER <bubulle@debian.org>:
>> No, apt-setup still relies on apt-cdrom mounting the CD.
>>
>> The CD will already be mounted, as it is manually mounted for
>> debootstrap. apt-setup unmounts it, runs apt-cdrom, and re-mounts it.
>> And there are code paths where apt-cdrom cannot mount the CD (for example,
>> hd-media installs), and there apt-setup prevents it doing any mounting and
>> leaves the CD pre-mounted. But none of these should have any bearing on
>> your case, #611569 seems at fault.
>
>
> So, this #611570 should then be closed, right?

Yes.

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 31 Jan 2011 21:36:07 GMT) Full text and rfc822 format available.

Notification sent to Miguel Figueiredo <elmig@debianpt.org>:
Bug acknowledged by developer. (Mon, 31 Jan 2011 21:36:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Mar 2011 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:59:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.